System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)

A object executes a compiled regular expression. A regular expression that is compiled to an assembly becomes a type in that assembly, and an object of that type is typically created using reflection. However, creating an object by reflection is an expensive operation. The class improves the performance of the .NET Framework by providing the method, which creates a object for a specific compiled regular expression.

Creates a class for a compiled regular expression.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Text.RegularExpressions.RegexRunner To be added.

  When overridden in a derived class, creates a object for a specific compiled regular expression.

  A object designed to execute a specific compiled regular expression.